function [fig_sigh,fig_pp,fig_dp,fig_dd]=Winfo_plot(Winfo);

%This function takes the wave info (sigH, peak period, direction of peak and dominant direction
%for a series of bursts and plots it as a function of time


%plot sig wave height
scrsz = get(0,'ScreenSize');
fig_sigh=figure('Position',[scrsz]);
h1=plot(Winfo.time,Winfo.hsig(1,:),'b.-');
hold on
h2=plot(Winfo.time,Winfo.hsig(2,:),'r.-');
h3=plot(Winfo.time,Winfo.hsig(3,:),'g.-');
h4=plot(Winfo.time,Winfo.hsig(4,:),'c.-');
h5=plot(Winfo.time,Winfo.hsig(5,:),'m.-');
h6=plot(Winfo.time,Winfo.hsig(7,:),'k.-');

datetick('x',15,'keepticks');
legend([h1, h2, h3, h4, h5, h6],'EMEP uvw','IMLM uvw','EMEP range','IMLM range','EMEP radial','wavesmon','location','best');
title(['Significant Wave Height starting on ',datestr(Winfo.time(:,1),0)]);
xlabel('time');
ylabel('Wave Height (m)');

%plot peak period
fig_pp=figure('Position',[scrsz]);
h1=plot(Winfo.time,Winfo.peakP(1,:),'b.-');
hold on
h2=plot(Winfo.time,Winfo.peakP(2,:),'r.-');
h3=plot(Winfo.time,Winfo.peakP(3,:),'g.-');
h4=plot(Winfo.time,Winfo.peakP(4,:),'c.-');
h5=plot(Winfo.time,Winfo.peakP(5,:),'m.-');
h6=plot(Winfo.time,Winfo.peakP(7,:),'k.-');

datetick('x',15,'keepticks');
legend([h1, h2, h3, h4, h5, h6],'EMEP uvw','IMLM uvw','EMEP range','IMLM range','EMEP radial','wavesmon','location','best');
title(['Peak Period starting on ',datestr(Winfo.time(:,1),0)]);
xlabel('time');
ylabel('Period (seconds)');

%plot dir of peak period
fig_dp=figure('Position',[scrsz]);
h1=plot(Winfo.time,Winfo.dirP(1,:),'b.-');
hold on
h2=plot(Winfo.time,Winfo.dirP(2,:),'r.-');
h3=plot(Winfo.time,Winfo.dirP(3,:),'g.-');
h4=plot(Winfo.time,Winfo.dirP(4,:),'c.-');
h5=plot(Winfo.time,Winfo.dirP(5,:),'m.-');
h6=plot(Winfo.time,Winfo.dirP(7,:),'k.-');

datetick('x',15,'keepticks');
legend([h1, h2, h3, h4, h5, h6],'EMEP uvw','IMLM uvw','EMEP range','IMLM range','EMEP radial','wavesmon','location','best');
title(['Direction of Peak Period starting on ',datestr(Winfo.time(:,1),0)]);
xlabel('time');
ylabel('Direction (Degrees True)');

%plot the dominant direction

fig_dd=figure('Position',[scrsz]);
h1=plot(Winfo.time,Winfo.Ddir(1,:),'b.-');
hold on
h2=plot(Winfo.time,Winfo.Ddir(2,:),'r.-');
h3=plot(Winfo.time,Winfo.Ddir(3,:),'g.-');
h4=plot(Winfo.time,Winfo.Ddir(4,:),'c.-');
h5=plot(Winfo.time,Winfo.Ddir(5,:),'m.-');
h6=plot(Winfo.time,Winfo.Ddir(7,:),'k.-');

datetick('x',15,'keepticks');
legend([h1, h2, h3, h4, h5, h6],'EMEP uvw','IMLM uvw','EMEP range','IMLM range','EMEP radial','wavesmon','location','best');
title(['Dominant Direction starting on ',datestr(Winfo.time(:,1),0)] );
xlabel('time');
ylabel('Direction (Degrees True)');

